<?php
/**
 * @version     4.0.0
 * @package     Com_AllVideoShare
 * @subpackage  Mod_AllVideoShareGallery
 * @author      Vinoth Kumar <admin@mrvinoth.com>
 * @copyright   Copyright (c) 2012 - 2021 Vinoth Kumar. All Rights Reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined( '_JEXEC' ) or die;

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ModuleHelper;
use MrVinoth\Component\AllVideoShare\Site\Helper\AllVideoShareHelper;
use MrVinoth\Module\AllVideoShareGallery\Site\Helper\AllVideoShareGalleryHelper;

$global = ComponentHelper::getParams( 'com_allvideoshare' );
$canDo = AllVideoShareHelper::canDo();

$params->def( 'image_ratio', $global->get( 'image_ratio' ) );
$params->def( 'views', $global->get( 'views' ) );
$params->def( 'css', $global->get( 'custom_css' ) );

if ( $canDo ) {
    if ( $params->get( 'popup' ) == -1 ) {
        $params->set( 'popup', $global->get( 'popup' ) );
    }
} else {
    $params->set( 'popup', 0 );
}

require ModuleHelper::getLayoutPath( 'mod_allvideosharegallery', $params->get( 'type', 'categories' ) );
