<?php
/**
 * @version     4.0.0
 * @package     Com_AllVideoShare
 * @subpackage  Mod_AllVideoSharePlayer
 * @author      Vinoth Kumar <admin@mrvinoth.com>
 * @copyright   Copyright (c) 2012 - 2021 Vinoth Kumar. All Rights Reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined( '_JEXEC' ) or die; 

use Joomla\CMS\Factory;
use MrVinoth\Component\AllVideoShare\Site\Helper\AllVideoSharePlayer;
use MrVinoth\Module\AllVideoSharePlayer\Site\Helper\AllVideoSharePlayerHelper;

$item = AllVideoSharePlayerHelper::getItem( $params );

if ( empty( $item ) ) {
	return;
}

$args = array( 
	'videoid'  => $item->id, 
	'playerid' => $params->get( 'playerid', 1 ) 
);
?>

<div class="avs mod_allvideoshareplayer player">
	<?php if ( $params->get( 'title' ) ) : ?>
		<h3><?php echo $item->title; ?></h3>
	<?php endif; ?>

	<?php echo AllVideoSharePlayer::load( $args ); ?>

	<?php if ( $params->get( 'description' ) ) : ?>
		<p style="margin-top: 15px;"><?php echo $item->description; ?></p>
	<?php endif; ?>
</div>
